%define upstream_name    XML-SAX-ExpatXS
%define upstream_version 1.33

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 21

Summary:    Perl SAX 2 XS extension to Expat parser
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz
Patch1:    XML-SAX-install_expat_xs.patch

BuildRequires:  perl(Carp)
BuildRequires:  perl(Config)
BuildRequires:  perl(DynaLoader)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(IO::File)
BuildRequires:  perl(Test)
BuildRequires:  perl(vars)
BuildRequires:  perl(XML::SAX::Base)
BuildRequires:  perl(XML::SAX) >= 0.96
BuildRequires:  perl-devel
BuildRequires:  pkgconfig(expat)

Requires:       perl(XML::SAX) >= 0.96

%description
XML::SAX::ExpatXS is a direct XS extension to Expat XML parser. It
implements Perl SAX 2.1 interface. See http://perl-xml.sourceforge.net/perl-
sax/ for Perl SAX API description. Any deviations from the Perl SAX 2.1
specification are considered as bugs.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch -P 1 -p1 -b .install_expat_xs
%__chmod -x ExpatXS.xs

%build
echo n | %{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
%make_build test

%triggerin -- perl-XML-SAX
%{__perl} -MXML::SAX -e \
  'XML::SAX->add_parser(q(XML::SAX::ExpatXS))->save_parsers()' 2>/dev/null || :

%preun
if [ $1 -eq 0 ]; then
 %{__perl} -MXML::SAX -e \
    'XML::SAX->remove_parser(q(XML::SAX::ExpatXS))->save_parsers()' \
    2>/dev/null || :
fi

%install
%make_install

%files
%doc Changes README
%{_mandir}/man3/*
%perl_vendorarch/XML
%perl_vendorarch/auto/XML



%changelog
* Sun Dec 22 2024 pterjan <pterjan> 1.330.0-21.mga10
+ Revision: 2128059
- Rebuild for patchN deprecation

* Thu Aug 22 2024 neoclust <neoclust> 1.330.0-20.mga10
+ Revision: 2088274
- Rebuild against new perl

* Sun Nov 26 2023 tv <tv> 1.330.0-19.mga10
+ Revision: 2009927
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 1.330.0-18.mga9
+ Revision: 1862619
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 1.330.0-17.mga9
+ Revision: 1796196
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 1.330.0-16.mga9
+ Revision: 1727325
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 1.330.0-15.mga8
+ Revision: 1595311
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 1.330.0-14.mga8
+ Revision: 1530173
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tmb <tmb> 1.330.0-13.mga8
+ Revision: 1433955
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 1.330.0-12.mga7
+ Revision: 1294069
- Mageia 7 Mass Rebuild

* Tue Aug 07 2018 guillomovitch <guillomovitch> 1.330.0-11.mga7
+ Revision: 1248669
- rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 1.330.0-10.mga7
+ Revision: 1167463
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 1.330.0-9.mga7
+ Revision: 1149439
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 1.330.0-8.mga7
+ Revision: 1127001
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 1.330.0-7.mga6
+ Revision: 1036141
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.330.0-6.mga6
+ Revision: 958263
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 1.330.0-5.mga6
+ Revision: 845581
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 1.330.0-4.mga6
+ Revision: 840754
- Rebuild for perl 5.22

* Tue Jan 13 2015 shlomif <shlomif> 1.330.0-3.mga5
+ Revision: 810287
- Importing perl-XML-SAX-ExpatXS - thanks to Richard Houser


* Wed Jan 07 2015 Richard Houser <rick@divinesymphony.net> 1.33-3
- Initial Mageia package, adapted from Fedora package version 1.33-10 (Miro Hrončok)
